Moneybird logo
Moneybird API

Customer contact portal

The customer contact portal allows you to create temporary links to the customer contact portal. Allowing your customers to view their invoices, subscriptions and other related information.


GET
https://moneybird.com/api/v2
/{administration_id}/customer_contact_portal/{contact_id}/invoices{format}

Generate a temporary link to the invoices in the customer contact portal. The link will expire after 1 hour.

Required scope(s)

Any of: sales_invoices or estimates

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

contact_id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Temporary link generated successfully

string

GET
https://moneybird.com/api/v2
/{administration_id}/customer_contact_portal/{contact_id}/subscriptions/{id}{format}

Generate a temporary link to the subscriptions in the customer contact portal. The link will expire after 1 hour. Creating the online sales link can be done using the Create online sales link endpoint.

Required scope(s)

Any of: sales_invoices or estimates

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

contact_id
​identifier · pattern: ^\d+$ · required

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Temporary link generated successfully

string

GET
https://moneybird.com/api/v2
/{administration_id}/customer_contact_portal/{contact_id}{format}

Generate a temporary link to the customer contact portal. The link will expire after 1 hour.

Required scope(s)

Any of: sales_invoices or estimates

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

contact_id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Temporary link generated successfully

string